egdata API
API ReferenceItems

Fetch multiple items by ID

Fetches up to 100 item IDs in one request.

POST
/items/bulk

Fetches up to 100 item IDs in one request.

Request Body

application/json

Item IDs to fetch.

TypeScript Definitions

Use the request body type in TypeScript.

items*array<string>

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/items/bulk" \  -H "Content-Type: application/json" \  -d '{    "items": [      "string"    ]  }'
[  {    "id": "string",    "namespace": "string",    "title": "string",    "keyImages": [      {        "type": "string",        "url": "http://example.com",        "width": 0,        "height": 0      }    ],    "releaseInfo": [      {}    ]  }]
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}